#ifndef ROBOT_H
#define ROBOT_H

#include <stdbool.h>

enum Operation
{
  left, right, up, down, fetch, put  
};

typedef enum Operation Operation;

struct Command
{
  Operation op;
  unsigned int count;
};

typedef struct Command Command;

void initialize(int w, int h);
void finalize(void);

bool execute(Command c);
int count(void);
int getWidth(void);
int getHeight(void);

void print(void);

#endif